---
title: Credential.type
slug: Web/API/Credential/type
tags:
  - API
  - Credential
  - Credential Management API
  - Property
  - Reference
  - credential management
---
<p>{{SeeCompatTable}}{{APIRef("")}}</p>

<p><span class="seoSummary">The <strong><code>type</code></strong> property of the {{domxref("Credential")}} interface returns a {{domxref("DOMString")}} containing the credential's type. Valid values are <code>password</code>, <code>federated</code> and <code>public-key</code>.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var credType = Credential.type;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} contains a credential's given name.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">// TBD</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Credential Management')}}</td>
   <td>{{Spec2('Credential Management')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Credential.type")}}</p>
